<?php
namespace Claromentis\Core\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_96be32a6f44bf54e63" . "5e1736acf7a96c" => base64_decode("c2VyaWFsa" . "Xpl"), "_b497ce6f2" . "af10f67516" . "aed0ecf34d" . "8cf" => base64_decode("ZGlzcGF0" . "Y2hlcg=="), "_c244a470" . "df52d1d5a" . "7085138ec" . "94e393" => base64_decode("dW5zZXJp" . "YWxpemU="));
use Claromentis\Common\ApplicationMiscellany\Finisher;
use Symfony\Component\EventDispatcher\Event;
use Symfony\Component\EventDispatcher\EventDispatcher as BaseEventDispatcher;




class EventDispatcher extends BaseEventDispatcher implements EventDispatcherInterface
{
    
    
    
    
    protected $finisher;
    
    
    
    
    public function __construct(Finisher $_fea16585ee8de2b835a68ccd4bc60aef)
    {
        $this->finisher = $_fea16585ee8de2b835a68ccd4bc60aef;
    }
    
    
    
    
    public static function Shared()
    {
        global $g_application;
        return $g_application[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_b497ce6f2af10f67516aed0" . "ecf34d8cf"]];
    }
    
    
    
    
    
    
    
    
    
    public function dispatch($_2cf093f28f4c7e718a5e8af628894c7b, Event $event = null, bool $_46d17db0bd1ac920366ce3e210c240c1 = false)
    {
        if (!$_46d17db0bd1ac920366ce3e210c240c1) {
            return parent::dispatch($_2cf093f28f4c7e718a5e8af628894c7b, $event);
        } else {
            $_a6a149597bf68ad5294d98abc0bda72b = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_96be32a6f4" . "4bf54e635e1" . "736acf7a96c"]($event);
            $this->finisher->FinishHim(function ($request, $_fd5a3a643834299cbdadfc3540ba0bcb) use($_2cf093f28f4c7e718a5e8af628894c7b, $_a6a149597bf68ad5294d98abc0bda72b) {
                $event = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_c244a47" . "0df52d1d" . "5a708513" . "8ec94e39" . "3"]($_a6a149597bf68ad5294d98abc0bda72b);
                $this->dispatch($_2cf093f28f4c7e718a5e8af628894c7b, $event, false);
            });
            
            
            
            return null;
        }
    }
}